G-EGG
1
BRL-CAD
BRL-CAD

# g-egg

Panda3D Translator (BRL-CAD to EGG)

      g-egg-8
        -xX lvl
        -D calculation_tolerance
        -a abs_tol
        -r rel_tol
        -P number_of_CPUs
        -n norm_tol
        -o EGG_file
        database.g
        object(s)

## DESCRIPTION

g-egg converts the specified object(s) from a BRL-CAD database.g file to the panda3d file format. The `-x` option specifies an RT debug flag and the `-X` option specifies an NMG debug flag. The `-a` , `-r` , and `-n` options specify tessellation tolerances. The `-D` option specifies a calculational distance tolerance (mm). Any two vertices that are less than this distance apart will be treated as the same vertex. The `-v` option requests verbose output. The `-i` option requests the output file units to be inches (the default is mm). The `-o` option specifies the name of the file to receive the output (stdout is the default). `-8` option tells the facetizer to use the marching cubes algorithm. `-9` option tells the facetizer to use the "bottess" algorithm. The `-P` option specifies the number of CPU's to be used.

## EXAMPLE

    $ g-egg -o sample.egg sample.g sample_object

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2009-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.